Package com.microblink.blinkid.entities

# Class Entity.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Direct Known Subclasses:
  `Processor.Result`, `Recognizer.Result`

Enclosing class:
  Entity<T extends Entity.Result>

public abstract static class Entity.Result extends Object implements android.os.Parcelable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Entity.Result`
  `clone()`
  Create a copy of the result.
  `final int`
  `describeContents()`
  `protected abstract void`
  `deserializeFromByteArray(byte[] arr)`
  `protected void`
  `finalize()`
  `final long`
  `getNativeContext()`
  `protected abstract boolean`
  `isEmpty()`
  `protected void`
  `readFromParcel(android.os.Parcel in)`
  `protected abstract byte[]`
  `serializeToByteArray()`
  `protected abstract void`
  `terminateNative(long nativeContext)`
  `void`
  `writeToParcel(android.os.Parcel dest, int i)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mOwner

    @Nullable protected Object mOwner

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### getNativeContext

    public final long getNativeContext()

  - ### isEmpty

    protected abstract boolean isEmpty()

  - ### serializeToByteArray

    @Nullable protected abstract byte[] serializeToByteArray()

  - ### deserializeFromByteArray

    protected abstract void deserializeFromByteArray(@NonNull byte[] arr)

  - ### clone

    @NonNull public abstract Entity.Result clone()
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Overrides:
      `clone` in class `Object`
    Returns:
      a copy of the result

  - ### describeContents

    public final int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    @CallSuper public void writeToParcel(@NonNull android.os.Parcel dest, int i)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### readFromParcel

    @CallSuper protected void readFromParcel(@NonNull android.os.Parcel in)

  - ### terminateNative

    protected abstract void terminateNative(long nativeContext)

  - ### finalize

    protected void finalize() throws Throwable
    Overrides:
      `finalize` in class `Object`
    Throws:
      `Throwable`